PulseAudio 16.1

Typedefs | Functions
subscribe.h File Reference

Daemon introspection event subscription subsystem. More...

Go to the source code of this file.

## Typedefs
typedef void(* | pa_context_subscribe_cb_t) (pa_context *c, pa_subscription_event_type_t t, uint32_t idx, void *userdata)
| Subscription event callback prototype. More...

## Functions
pa_operation * | pa_context_subscribe (pa_context *c, pa_subscription_mask_t m, pa_context_success_cb_t cb, void *userdata)
| Enable event notification. More...
void | pa_context_set_subscribe_callback (pa_context *c, pa_context_subscribe_cb_t cb, void *userdata)
| Set the context specific call back function that is called whenever the state of the daemon changes. More...

## Detailed Description

Daemon introspection event subscription subsystem.

See also Event Subscription

## Typedef Documentation

## ◆ pa_context_subscribe_cb_t

typedef void(* pa_context_subscribe_cb_t) (pa_context *c, pa_subscription_event_type_t t, uint32_t idx, void *userdata)

Subscription event callback prototype.

## Function Documentation

## ◆ pa_context_set_subscribe_callback()

void pa_context_set_subscribe_callback | ( | pa_context * | c,
|  | pa_context_subscribe_cb_t | cb,
|  | void * | userdata
| ) |  |

Set the context specific call back function that is called whenever the state of the daemon changes.

## ◆ pa_context_subscribe()

pa_operation * pa_context_subscribe | ( | pa_context * | c,
|  | pa_subscription_mask_t | m,
|  | pa_context_success_cb_t | cb,
|  | void * | userdata
| ) |  |

Enable event notification.